#!/bin/bash
set -ex

#Install tools needed for working with devices
add-apt-repository ppa:phablet-team/tools < /dev/null
add-apt-repository ppa:utah/stable < /dev/null

apt-get update || apt-get update || apt-get update
apt-get install -y --assume-yes phablet-tools ubuntu-device-flash utah \
	autopkgtest bzr-builder subunit

#Update the udev rules needed for adb devices
cp files/99-adb.rules /etc/udev/rules.d
udevadm control --reload-rules
udevadm trigger

#FIXME: 20140926 plars - find a better place for this
# Existing tests assume /home/ubuntu/magners-wifi
#https://app.asana.com/0/8312808705920/16730142900572
cp files/secrets/wifi.conf /home/ubuntu/magners-wifi

#Add jenkins to the utah group so that we can run utah tests without sudo
addgroup jenkins utah

#Setup sudo permissions for the jenkins user
#FIXME: 20140926 plars - remove the need for this
#https://app.asana.com/0/8312808705920/16730142900575
if [ ! -f /etc/sudoers.d/jenkins ] ||
	! grep -q jenkins /etc/sudoers.d/jenkins; then
    echo "jenkins ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/jenkins
fi
